Another DSTTi Question - Already Patched?

Discussion in 'DSTT' started by bigbadphil, Dec 22, 2009.

Dec 22, 2009
  1. bigbadphil
    OP

    Newcomer bigbadphil Member

    Joined:
    Feb 17, 2009
    Messages:
    24
    Location:
    Liverpool
    Country:
    United Kingdom
    I just recieved a DSTTi card from DealExtreme (I know, don't give me the lecture) I have never had trouble with them before. Now in the past, I have had to apply the 1.4 fix patch myself. So when I loaded the card into the DS lite to run the patch it already had the card down as 'Star Wars Lethal Alliance Ubisoft' so I decided to try and run the patch anyway. It came up as a fake card and wouldnt contunue. I removed the card, took off the patch and put the games on it anyway. They work fine on the DS lite, I just need someone's NDSi to test it on in work tomorrow.

    Do you think that it has already been patched? There are no more on the website to say otherwise.

    Thanks
     
  2. h8isgr8

    Member h8isgr8 GBAtemp Regular

    Joined:
    Dec 7, 2009
    Messages:
    134
    Country:
    United States
    It's definitely possible. The DSTTi I recently purchased from focalprice already had the 1.4 fix applied.
     
  3. bigbadphil
    OP

    Newcomer bigbadphil Member

    Joined:
    Feb 17, 2009
    Messages:
    24
    Location:
    Liverpool
    Country:
    United Kingdom

    Do you recommend focalprice as a seller?
     
  4. Chaz.

    Member Chaz. GBAtemp Fan

    Joined:
    Jul 7, 2009
    Messages:
    314
    Location:
    UK
    Country:
    United Kingdom
    Aslong as Star Wars comes up its on 1.4 [​IMG]
     
  5. h8isgr8

    Member h8isgr8 GBAtemp Regular

    Joined:
    Dec 7, 2009
    Messages:
    134
    Country:
    United States
    IMHO they are on par with dealextreme. I've placed around 6 orders with focalprice and haven't had an issue.
     

Share This Page